<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
        xmlns:h="http://xmlns.jcp.org/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core"
        xmlns:p="http://primefaces.org/ui">
    <div id="editable-diagram">
        <h:form id="form">
            <p:growl id="msgs" showDetail="true"/>

            <p:diagram value="#{editableDiagramView.model}" style="height:500px;"
                       styleClass="ui-widget-content"
                       var="el" id="editable-diagram-content">
                <f:facet name="element">
                    <h:outputText value="#{el.label}" style="display:block;margin-top:1em;"/>
                    <p:graphicImage name="#{editableDiagramView.getImagePath(el)}"/>
                </f:facet>
                <p:ajax event="connect" listener="#{editableDiagramView.onConnect}"/>
                <p:ajax event="disconnect" listener="#{editableDiagramView.onDisconnect}"/>
                <p:ajax event="connectionChange" listener="#{editableDiagramView.onConnectionChange}"/>
            </p:diagram>
        </h:form>
    </div>

    <style type="text/css">
        #editable-diagram .ui-diagram-element {
            border: 0.1em dotted #E5E4E2;
            background-color: #EFEEEC;
            width: 10em;
            height: 8em;
            text-align: center;
            box-shadow: 0 5px 10px rgba(0, 0, 0, 0.8);
        }

        #editable-diagram .ui-diagram-element:hover {
            background-color: #C7C6C4;
        }
    </style>
</ui:composition>
